Subject: bug#14553: closed (Re: bug#14553: [cygwin] C-g doesn't interrupt (while t))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 10 Jan 2024 16:32:02 +0000

Your bug report

#14553: [cygwin] C-g doesn't interrupt (while t)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14553: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=14553
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14553: [cygwin] C-g doesn't interrupt (while t)
From: Ken Brown <[email-masked]>
To: Stefan Kangas <[email-masked]>, Katsumi Yamaoka <[email-masked]>
Cc: Daniel Colascione <[email-masked]>, [email-masked]
Date: Wed, 10 Jan 2024 11:31:38 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On 1/10/2024 6:14 AM, Stefan Kangas wrote:
> Daniel Colascione <[email-masked]> writes:
> 
>> Sounds like a problem with signal delivery. Have you reported it to the
>> cygwin mailing list?
> 
> Stefan Kangas <[email-masked]> writes:
> 
>> Katsumi Yamaoka <[email-masked]> writes:
>>
>>>> That was six years ago.  Are you still seeing this on a modern version
>>>> of Emacs?
>>>
>>> C-g still doesn't break (while t) on Emacs 27.0.50 of today, and
>>> also on 26.3.50, 26.1, 25.1 rebuilt recently.  I got used to it,
>>> so I'm not so troubled. ;-)  Thanks for following this up.
>>
>> Thanks for reporting back.
>>
>> Daniel Colascione suggested that there might be a problem with signal
>> delivery on Cygwin, and to report it to their mailing list:
>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=14553#20
>>
>> Perhaps that might be worth doing if you haven't already.
> 
> Coming back to this four years later, it sounds like this might be a bug
> in Cygwin.  Is that correct?

Not sure.

> If yes, should we really keep this bug open on our end?

I think it should be closed, and I'm doing it with this email.

Ken

Subject: 24.3.50; C-g doesn't break inf-loop
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Date: Tue, 04 Jun 2013 15:10:48 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Start Emacs with the -Q option.
Eval the form: (while t)

Then I get unable to break it.  So is Emacs 24.3.  This may happen
only on Cygwin, though.  It makes me hard to debug a code suspected
to have an infinite loop.

In GNU Emacs 24.3.50.1 (i686-pc-cygwin, X toolkit, Xaw3d scroll bars)
 of 2013-06-04 on localhost
Bzr revision: 112842 [email-masked]
Windowing system distributor `The Cygwin/X Project', version 11.0.11401000
Configured using:
 `configure --verbose --with-x-toolkit=lucid --without-imagemagick
 --without-dbus --without-gconf --without-gsettings'